package com.perdemia.permissionanalyzer.application.handlers.menu;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.program.Program;
import org.eclipse.swt.widgets.Shell;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.perdemia.permissionanalyzer.application.util.ApplicationUtil;

public class OpenDocumentationHandler {
	private final static Logger logger = LoggerFactory.getLogger(OpenDocumentationHandler.class.getName());
		
	@Execute
	public void execute(Shell shell){
		try {
			
			Program.launch(ApplicationUtil.getApplicationPath() + "Permission Analyzer User Manual.pdf");
			
		} catch (Exception e) {
			MessageDialog.openError(null, "Error", "Error while opening the pdf Permission Analyzer User Manual.pdf:\r\n\r\n" + e.getMessage());
			logger.error("Error while opening the pdf Permission Analyzer User Manual.pdf", e);
		}
	}
}
