package com.perdemia.permissionanalyzer.application.handlers.menu;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.di.UISynchronize;
import org.eclipse.e4.ui.workbench.IWorkbench;
import org.eclipse.equinox.p2.core.IProvisioningAgent;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.program.Program;
import org.eclipse.swt.widgets.Shell;

import com.perdemia.permissionanalyzer.application.jface.dialogs.SyncMessageDialog;
import com.perdemia.permissionanalyzer.application.util.ApplicationUtil;

public class OpenDemoVideoHandler {
		
	@Execute
	public void execute(final IProvisioningAgent agent, final Shell shell, final UISynchronize sync, final IWorkbench workbench) {
		try {
			ApplicationUtil.setBusyCursor();
			Program.launch("http://www.permissionanalyzer.com/demo-videos.html");
			ApplicationUtil.setDefaultCursor();
		} catch (Exception ex) {
			SyncMessageDialog.showMessage(MessageDialog.ERROR, "Error", "Failed to open the browser to http://www.permissionanalyzer.com/demo-videos.html: " + ex.getMessage());
		}
	}
}